@import "@/styles/variables";

.banner-container {
    display: grid;
    grid-column: 1 / -1;
    width: 100%;
    height: max-content;

    .banner-content {
        display: grid;
        grid-template-columns: auto auto;
        gap: 8px;
        padding: 1rem 0.5rem;
        width: 100%;
        justify-content: center;
        align-items: center;

        p {
            @include button-1;
        }

        .icon-frame {
            display: grid;
            align-items: center;
            width: 100%;
            height: 100%;
        }
    }

    .color-warning {
        background-color: $banner-warning;
        color: $banner-warning-text;
    }

    .color-error {
        color: $banner-error-text;
        background-color: $banner-error;
    }

    .color-info {
        background-color: $banner-info;
        color: $banner-info-text;
    }
}
